<?php

/**
 * Plugin Name.
 *
 * @package   Mashape_Quote
 * @author    Bobcares
 * @license   GPL-2.0+
 * @link      http://bobcares.com
 * @copyright 2017 Bobcares
 */

/**
 * Plugin class. This class is used to work with the
 * public-facing side of the WordPress site.
 *
 * @package Mashape_Quote
 * @author  Bobcares 
 */
class Mashap_Quote {

    /**
     * Return the quote details
     * @param $instance Array the widget attributes
     *
     * @return quote details.
     */
    public static function get_quote($instance) {
        require_once 'unirest-php-master/src/Unirest.php';

        // Use Rapid API to get the daily quotes.
        $jsonData =  file_get_contents("https://type.fit/api/quotes");
        $response = json_decode($jsonData);
        $randomKey = array_rand($response, 1);
        $response = $response[$randomKey];

        // If response is success
        if (isset($response)) {
            $quote = $response->text;
            $author = $response->author;	
        } else {
            $author = '';

            // If the response is not success
            $quote = __('Cannot fetch quote from source', 'Daily Quote');
        }

        // Include widget area
        include( plugin_dir_path(__FILE__) . 'widget-public.php' );
    }

    /**
     * To get the default settings
     */
    public static function get_quote_default_settings() {
        return array(
            'title' => __('Quote of the Day', 'Daily Quote'),
            'color' => 'light',
            'author' => 'yes',
        );
    }

}

?>
